/* FsTabEntry.c generated by valac 0.36.8, the Vala compiler
 * generated from FsTabEntry.vala, do not modify */

/*
 * FsTabEntry.vala
 *
 * Copyright 2012-17 Tony George <teejeetech@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gee.h>
#include <gtk/gtk.h>


#define TYPE_FS_TAB_ENTRY (fs_tab_entry_get_type ())
#define FS_TAB_ENTRY(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_FS_TAB_ENTRY, FsTabEntry))
#define FS_TAB_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_FS_TAB_ENTRY, FsTabEntryClass))
#define IS_FS_TAB_ENTRY(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_FS_TAB_ENTRY))
#define IS_FS_TAB_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_FS_TAB_ENTRY))
#define FS_TAB_ENTRY_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_FS_TAB_ENTRY, FsTabEntryClass))

typedef struct _FsTabEntry FsTabEntry;
typedef struct _FsTabEntryClass FsTabEntryClass;
typedef struct _FsTabEntryPrivate FsTabEntryPrivate;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define TYPE_CRYPT_TAB_ENTRY (crypt_tab_entry_get_type ())
#define CRYPT_TAB_ENTRY(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_CRYPT_TAB_ENTRY, CryptTabEntry))
#define CRYPT_TAB_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_CRYPT_TAB_ENTRY, CryptTabEntryClass))
#define IS_CRYPT_TAB_ENTRY(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_CRYPT_TAB_ENTRY))
#define IS_CRYPT_TAB_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_CRYPT_TAB_ENTRY))
#define CRYPT_TAB_ENTRY_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_CRYPT_TAB_ENTRY, CryptTabEntryClass))

typedef struct _CryptTabEntry CryptTabEntry;
typedef struct _CryptTabEntryClass CryptTabEntryClass;

#define TYPE_DEVICE (device_get_type ())
#define DEVICE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_DEVICE, Device))
#define DEVICE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_DEVICE, DeviceClass))
#define IS_DEVICE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_DEVICE))
#define IS_DEVICE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_DEVICE))
#define DEVICE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_DEVICE, DeviceClass))

typedef struct _Device Device;
typedef struct _DeviceClass DeviceClass;
typedef struct _CryptTabEntryPrivate CryptTabEntryPrivate;

struct _FsTabEntry {
	GObject parent_instance;
	FsTabEntryPrivate * priv;
	gboolean is_comment;
	gboolean is_empty_line;
	gchar* device_string;
	gchar* mount_point;
	gchar* type;
	gchar* options;
	gchar* dump;
	gchar* pass;
	gchar* line;
};

struct _FsTabEntryClass {
	GObjectClass parent_class;
};

struct _CryptTabEntry {
	GObject parent_instance;
	CryptTabEntryPrivate * priv;
	gboolean is_comment;
	gboolean is_empty_line;
	gchar* mapped_name;
	gchar* device_string;
	gchar* keyfile;
	gchar* options;
	gchar* line;
};

struct _CryptTabEntryClass {
	GObjectClass parent_class;
};


static gpointer fs_tab_entry_parent_class = NULL;

GType fs_tab_entry_get_type (void) G_GNUC_CONST;
enum  {
	FS_TAB_ENTRY_0_PROPERTY,
	FS_TAB_ENTRY_DEVICE_UUID_PROPERTY
};
GeeArrayList* fs_tab_entry_read_file (const gchar* file_path);
gboolean tee_jee_file_system_file_exists (const gchar* file_path);
gchar* tee_jee_file_system_file_read (const gchar* file_path);
FsTabEntry* fs_tab_entry_new (void);
FsTabEntry* fs_tab_entry_construct (GType object_type);
gchar* fs_tab_entry_write_file (GeeArrayList* entries, const gchar* file_path, gboolean keep_comments_and_empty_lines);
static gint __lambda6_ (FsTabEntry* a, FsTabEntry* b);
static gint ___lambda6__gcompare_data_func (gconstpointer a, gconstpointer b, gpointer self);
gboolean tee_jee_file_system_file_delete (const gchar* file_path);
gboolean tee_jee_file_system_file_write (const gchar* file_path, const gchar* contents);
gchar* fs_tab_entry_subvolume_name (FsTabEntry* self);
gboolean fs_tab_entry_is_for_system_directory (FsTabEntry* self);
FsTabEntry* fs_tab_entry_find_entry_by_mount_point (GeeArrayList* entries, const gchar* mount_path);
GType crypt_tab_entry_get_type (void) G_GNUC_CONST;
GType device_get_type (void) G_GNUC_CONST;
Device* fs_tab_entry_resolve_device (FsTabEntry* self, GeeArrayList* crypttab, GtkWindow* parent_window);
gchar* fs_tab_entry_get_device_uuid (FsTabEntry* self);
Device* device_get_device_by_uuid (const gchar* uuid);
Device* device_get_device_by_name (const gchar* file_name);
Device* device_luks_unlock (Device* luks_device, const gchar* mapped_name, const gchar* passphrase, GtkWindow* parent_window, gchar* * message, gchar* * details);
void fs_tab_entry_append_option (FsTabEntry* self, const gchar* option);
void fs_tab_entry_remove_option (FsTabEntry* self, const gchar* option);
void fs_tab_entry_set_device_uuid (FsTabEntry* self, const gchar* value);
static void fs_tab_entry_finalize (GObject * obj);
static void _vala_fs_tab_entry_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_fs_tab_entry_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


static gchar* string_strip (const gchar* self) {
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
#line 1234 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1235 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1235 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1236 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1236 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1237 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	result = _result_;
#line 1237 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	return result;
#line 164 "FsTabEntry.c"
}


static gchar* string_replace (const gchar* self, const gchar* old, const gchar* replacement) {
	gchar* result = NULL;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GError * _inner_error_ = NULL;
#line 1407 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1407 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1407 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if ((*((gchar*) self)) == '\0') {
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 183 "FsTabEntry.c"
	} else {
		const gchar* _tmp2_;
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp2_ = old;
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp1_ = (*((gchar*) _tmp2_)) == '\0';
#line 190 "FsTabEntry.c"
	}
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if (_tmp1_) {
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp0_ = TRUE;
#line 196 "FsTabEntry.c"
	} else {
		const gchar* _tmp3_;
		const gchar* _tmp4_;
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp3_ = old;
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp4_ = replacement;
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp0_ = g_strcmp0 (_tmp3_, _tmp4_) == 0;
#line 206 "FsTabEntry.c"
	}
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if (_tmp0_) {
#line 210 "FsTabEntry.c"
		gchar* _tmp5_;
#line 1409 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp5_ = g_strdup (self);
#line 1409 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		result = _tmp5_;
#line 1409 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		return result;
#line 218 "FsTabEntry.c"
	}
	{
		GRegex* regex = NULL;
		const gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		GRegex* _tmp9_;
		GRegex* _tmp10_;
		gchar* _tmp11_ = NULL;
		GRegex* _tmp12_;
		const gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp6_ = old;
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp7_ = g_regex_escape_string (_tmp6_, -1);
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp8_ = _tmp7_;
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp9_ = g_regex_new (_tmp8_, 0, 0, &_inner_error_);
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp10_ = _tmp9_;
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_g_free0 (_tmp8_);
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		regex = _tmp10_;
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 250 "FsTabEntry.c"
				goto __catch52_g_regex_error;
			}
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			return NULL;
#line 259 "FsTabEntry.c"
		}
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp12_ = regex;
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp13_ = replacement;
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp14_ = g_regex_replace_literal (_tmp12_, self, (gssize) -1, 0, _tmp13_, 0, &_inner_error_);
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp11_ = _tmp14_;
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 275 "FsTabEntry.c"
				goto __catch52_g_regex_error;
			}
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			return NULL;
#line 286 "FsTabEntry.c"
		}
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp15_ = _tmp11_;
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp11_ = NULL;
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		result = _tmp15_;
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_g_free0 (_tmp11_);
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		return result;
#line 300 "FsTabEntry.c"
	}
	goto __finally52;
	__catch52_g_regex_error:
	{
		GError* e = NULL;
#line 1411 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1411 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1415 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1411 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 314 "FsTabEntry.c"
	}
	__finally52:
#line 1411 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1411 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1411 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1411 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		return NULL;
#line 325 "FsTabEntry.c"
	}
}


GeeArrayList* fs_tab_entry_read_file (const gchar* file_path) {
	GeeArrayList* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_;
	const gchar* _tmp1_;
	gboolean _tmp2_;
	gchar* text = NULL;
	const gchar* _tmp3_;
	gchar* _tmp4_;
	gchar** lines = NULL;
	const gchar* _tmp5_;
	gchar** _tmp6_;
	gchar** _tmp7_;
	gint lines_length1;
	gint _lines_size_;
	gchar** _tmp8_;
	gint _tmp8__length1;
#line 58 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 59 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp0_ = gee_array_list_new (TYPE_FS_TAB_ENTRY, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 59 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	list = _tmp0_;
#line 61 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp1_ = file_path;
#line 61 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp2_ = tee_jee_file_system_file_exists (_tmp1_);
#line 61 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	if (!_tmp2_) {
#line 61 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		result = list;
#line 61 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		return result;
#line 363 "FsTabEntry.c"
	}
#line 63 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp3_ = file_path;
#line 63 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp4_ = tee_jee_file_system_file_read (_tmp3_);
#line 63 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	text = _tmp4_;
#line 64 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp5_ = text;
#line 64 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp7_ = _tmp6_ = g_strsplit (_tmp5_, "\n", 0);
#line 64 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	lines = _tmp7_;
#line 64 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	lines_length1 = _vala_array_length (_tmp6_);
#line 64 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_lines_size_ = lines_length1;
#line 65 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp8_ = lines;
#line 65 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp8__length1 = lines_length1;
#line 385 "FsTabEntry.c"
	{
		gchar** line_collection = NULL;
		gint line_collection_length1 = 0;
		gint _line_collection_size_ = 0;
		gint line_it = 0;
#line 65 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		line_collection = _tmp8_;
#line 65 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		line_collection_length1 = _tmp8__length1;
#line 65 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		for (line_it = 0; line_it < _tmp8__length1; line_it = line_it + 1) {
#line 397 "FsTabEntry.c"
			gchar* _tmp9_;
			gchar* line = NULL;
#line 65 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp9_ = g_strdup (line_collection[line_it]);
#line 65 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			line = _tmp9_;
#line 404 "FsTabEntry.c"
			{
				FsTabEntry* entry = NULL;
				FsTabEntry* _tmp10_;
				GeeArrayList* _tmp11_;
				FsTabEntry* _tmp12_;
				FsTabEntry* _tmp13_;
				const gchar* _tmp14_;
				gchar* _tmp15_;
				gchar* _tmp16_;
				gboolean _tmp17_;
				FsTabEntry* _tmp18_;
				const gchar* _tmp19_;
				gchar* _tmp20_;
				gchar* _tmp21_;
				gint _tmp22_;
				gint _tmp23_;
				FsTabEntry* _tmp24_;
				gboolean _tmp25_;
#line 66 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp10_ = fs_tab_entry_new ();
#line 66 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				entry = _tmp10_;
#line 67 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp11_ = list;
#line 67 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp12_ = entry;
#line 67 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				gee_abstract_collection_add ((GeeAbstractCollection*) _tmp11_, _tmp12_);
#line 69 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp13_ = entry;
#line 69 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp14_ = line;
#line 69 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp15_ = string_strip (_tmp14_);
#line 69 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp16_ = _tmp15_;
#line 69 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp17_ = g_str_has_prefix (_tmp16_, "#");
#line 69 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp13_->is_comment = _tmp17_;
#line 69 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_g_free0 (_tmp16_);
#line 70 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp18_ = entry;
#line 70 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp19_ = line;
#line 70 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp20_ = string_strip (_tmp19_);
#line 70 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp21_ = _tmp20_;
#line 70 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp22_ = strlen (_tmp21_);
#line 70 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp23_ = _tmp22_;
#line 70 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp18_->is_empty_line = _tmp23_ == 0;
#line 70 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_g_free0 (_tmp21_);
#line 72 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp24_ = entry;
#line 72 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp25_ = _tmp24_->is_comment;
#line 72 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				if (_tmp25_) {
#line 469 "FsTabEntry.c"
					FsTabEntry* _tmp26_;
					const gchar* _tmp27_;
					gchar* _tmp28_;
#line 73 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_tmp26_ = entry;
#line 73 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_tmp27_ = line;
#line 73 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_tmp28_ = g_strdup (_tmp27_);
#line 73 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_g_free0 (_tmp26_->line);
#line 73 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_tmp26_->line = _tmp28_;
#line 483 "FsTabEntry.c"
				} else {
					FsTabEntry* _tmp29_;
					gboolean _tmp30_;
#line 75 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_tmp29_ = entry;
#line 75 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_tmp30_ = _tmp29_->is_empty_line;
#line 75 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					if (_tmp30_) {
#line 493 "FsTabEntry.c"
						FsTabEntry* _tmp31_;
						gchar* _tmp32_;
#line 76 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_tmp31_ = entry;
#line 76 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_tmp32_ = g_strdup ("");
#line 76 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_g_free0 (_tmp31_->line);
#line 76 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_tmp31_->line = _tmp32_;
#line 504 "FsTabEntry.c"
					} else {
						FsTabEntry* _tmp33_;
						const gchar* _tmp34_;
						gchar* _tmp35_;
						gchar** parts = NULL;
						const gchar* _tmp36_;
						gchar* _tmp37_;
						gchar* _tmp38_;
						gchar** _tmp39_;
						gchar** _tmp40_;
						gchar** _tmp41_;
						gint _tmp41__length1;
						gint parts_length1;
						gint _parts_size_;
						gint part_num = 0;
						gchar** _tmp42_;
						gint _tmp42__length1;
#line 79 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_tmp33_ = entry;
#line 79 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_tmp34_ = line;
#line 79 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_tmp35_ = g_strdup (_tmp34_);
#line 79 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_g_free0 (_tmp33_->line);
#line 79 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_tmp33_->line = _tmp35_;
#line 81 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_tmp36_ = line;
#line 81 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_tmp37_ = string_replace (_tmp36_, "\t", " ");
#line 81 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_tmp38_ = _tmp37_;
#line 81 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_tmp40_ = _tmp39_ = g_strsplit (_tmp38_, " ", 0);
#line 81 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_tmp41_ = _tmp40_;
#line 81 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_tmp41__length1 = _vala_array_length (_tmp39_);
#line 81 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_g_free0 (_tmp38_);
#line 81 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						parts = _tmp41_;
#line 81 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						parts_length1 = _tmp41__length1;
#line 81 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_parts_size_ = parts_length1;
#line 82 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						part_num = -1;
#line 83 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_tmp42_ = parts;
#line 83 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_tmp42__length1 = parts_length1;
#line 558 "FsTabEntry.c"
						{
							gchar** part_collection = NULL;
							gint part_collection_length1 = 0;
							gint _part_collection_size_ = 0;
							gint part_it = 0;
#line 83 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
							part_collection = _tmp42_;
#line 83 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
							part_collection_length1 = _tmp42__length1;
#line 83 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
							for (part_it = 0; part_it < _tmp42__length1; part_it = part_it + 1) {
#line 570 "FsTabEntry.c"
								gchar* _tmp43_;
								gchar* part = NULL;
#line 83 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
								_tmp43_ = g_strdup (part_collection[part_it]);
#line 83 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
								part = _tmp43_;
#line 577 "FsTabEntry.c"
								{
									const gchar* _tmp44_;
									gchar* _tmp45_;
									gchar* _tmp46_;
									gint _tmp47_;
									gint _tmp48_;
									gboolean _tmp49_;
									gint _tmp50_;
									gint _tmp51_;
#line 84 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
									_tmp44_ = part;
#line 84 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
									_tmp45_ = string_strip (_tmp44_);
#line 84 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
									_tmp46_ = _tmp45_;
#line 84 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
									_tmp47_ = strlen (_tmp46_);
#line 84 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
									_tmp48_ = _tmp47_;
#line 84 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
									_tmp49_ = _tmp48_ == 0;
#line 84 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
									_g_free0 (_tmp46_);
#line 84 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
									if (_tmp49_) {
#line 84 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
										_g_free0 (part);
#line 84 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
										continue;
#line 607 "FsTabEntry.c"
									}
#line 85 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
									_tmp50_ = part_num;
#line 85 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
									part_num = _tmp50_ + 1;
#line 85 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
									_tmp51_ = part_num;
#line 85 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
									switch (_tmp51_) {
#line 85 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
										case 0:
#line 619 "FsTabEntry.c"
										{
											FsTabEntry* _tmp52_;
											const gchar* _tmp53_;
											gchar* _tmp54_;
#line 87 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_tmp52_ = entry;
#line 87 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_tmp53_ = part;
#line 87 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_tmp54_ = string_strip (_tmp53_);
#line 87 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_g_free0 (_tmp52_->device_string);
#line 87 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_tmp52_->device_string = _tmp54_;
#line 88 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											break;
#line 636 "FsTabEntry.c"
										}
#line 85 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
										case 1:
#line 640 "FsTabEntry.c"
										{
											FsTabEntry* _tmp55_;
											const gchar* _tmp56_;
											gchar* _tmp57_;
#line 90 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_tmp55_ = entry;
#line 90 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_tmp56_ = part;
#line 90 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_tmp57_ = string_strip (_tmp56_);
#line 90 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_g_free0 (_tmp55_->mount_point);
#line 90 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_tmp55_->mount_point = _tmp57_;
#line 91 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											break;
#line 657 "FsTabEntry.c"
										}
#line 85 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
										case 2:
#line 661 "FsTabEntry.c"
										{
											FsTabEntry* _tmp58_;
											const gchar* _tmp59_;
											gchar* _tmp60_;
#line 93 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_tmp58_ = entry;
#line 93 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_tmp59_ = part;
#line 93 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_tmp60_ = string_strip (_tmp59_);
#line 93 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_g_free0 (_tmp58_->type);
#line 93 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_tmp58_->type = _tmp60_;
#line 94 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											break;
#line 678 "FsTabEntry.c"
										}
#line 85 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
										case 3:
#line 682 "FsTabEntry.c"
										{
											FsTabEntry* _tmp61_;
											const gchar* _tmp62_;
											gchar* _tmp63_;
#line 96 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_tmp61_ = entry;
#line 96 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_tmp62_ = part;
#line 96 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_tmp63_ = string_strip (_tmp62_);
#line 96 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_g_free0 (_tmp61_->options);
#line 96 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_tmp61_->options = _tmp63_;
#line 97 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											break;
#line 699 "FsTabEntry.c"
										}
#line 85 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
										case 4:
#line 703 "FsTabEntry.c"
										{
											FsTabEntry* _tmp64_;
											const gchar* _tmp65_;
											gchar* _tmp66_;
#line 99 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_tmp64_ = entry;
#line 99 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_tmp65_ = part;
#line 99 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_tmp66_ = string_strip (_tmp65_);
#line 99 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_g_free0 (_tmp64_->dump);
#line 99 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_tmp64_->dump = _tmp66_;
#line 100 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											break;
#line 720 "FsTabEntry.c"
										}
#line 85 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
										case 5:
#line 724 "FsTabEntry.c"
										{
											FsTabEntry* _tmp67_;
											const gchar* _tmp68_;
											gchar* _tmp69_;
#line 102 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_tmp67_ = entry;
#line 102 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_tmp68_ = part;
#line 102 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_tmp69_ = string_strip (_tmp68_);
#line 102 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_g_free0 (_tmp67_->pass);
#line 102 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											_tmp67_->pass = _tmp69_;
#line 103 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
											break;
#line 741 "FsTabEntry.c"
										}
										default:
#line 85 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
										break;
#line 746 "FsTabEntry.c"
									}
#line 83 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
									_g_free0 (part);
#line 750 "FsTabEntry.c"
								}
							}
						}
#line 75 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						parts = (_vala_array_free (parts, parts_length1, (GDestroyNotify) g_free), NULL);
#line 756 "FsTabEntry.c"
					}
				}
#line 65 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_g_object_unref0 (entry);
#line 65 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_g_free0 (line);
#line 763 "FsTabEntry.c"
			}
		}
	}
#line 109 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	result = list;
#line 109 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	lines = (_vala_array_free (lines, lines_length1, (GDestroyNotify) g_free), NULL);
#line 109 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_g_free0 (text);
#line 109 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	return result;
#line 775 "FsTabEntry.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	return self ? g_object_ref (self) : NULL;
#line 782 "FsTabEntry.c"
}


static gint __lambda6_ (FsTabEntry* a, FsTabEntry* b) {
	gint result = 0;
	GCompareFunc _tmp0_;
	FsTabEntry* _tmp1_;
	const gchar* _tmp2_;
	FsTabEntry* _tmp3_;
	const gchar* _tmp4_;
	gint _tmp5_;
#line 138 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (a != NULL, 0);
#line 138 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (b != NULL, 0);
#line 139 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp0_ = g_strcmp0;
#line 139 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp1_ = a;
#line 139 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp2_ = _tmp1_->mount_point;
#line 139 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp3_ = b;
#line 139 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp4_ = _tmp3_->mount_point;
#line 139 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp5_ = _tmp0_ (_tmp2_, _tmp4_);
#line 139 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	result = _tmp5_;
#line 139 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	return result;
#line 814 "FsTabEntry.c"
}


static gint ___lambda6__gcompare_data_func (gconstpointer a, gconstpointer b, gpointer self) {
	gint result;
	result = __lambda6_ ((FsTabEntry*) a, (FsTabEntry*) b);
#line 138 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	return result;
#line 823 "FsTabEntry.c"
}


gchar* fs_tab_entry_write_file (GeeArrayList* entries, const gchar* file_path, gboolean keep_comments_and_empty_lines) {
	gchar* result = NULL;
	gchar* text = NULL;
	gchar* _tmp0_;
	gboolean _tmp1_;
	GeeArrayList* _tmp43_;
	const gchar* _tmp44_;
	gboolean _tmp45_;
	const gchar* _tmp47_;
	const gchar* _tmp48_;
#line 112 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (entries != NULL, NULL);
#line 112 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 116 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp0_ = g_strdup ("");
#line 116 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	text = _tmp0_;
#line 118 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp1_ = keep_comments_and_empty_lines;
#line 118 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	if (!_tmp1_) {
#line 849 "FsTabEntry.c"
		const gchar* _tmp2_;
		gchar* _tmp3_;
#line 119 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp2_ = text;
#line 119 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp3_ = g_strconcat (_tmp2_, "# <file system> <mount point> <type> <options> <dump> <pass>\n\n", NULL);
#line 119 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_g_free0 (text);
#line 119 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		text = _tmp3_;
#line 860 "FsTabEntry.c"
	}
	{
		GeeArrayList* _entry_list = NULL;
		GeeArrayList* _tmp4_;
		GeeArrayList* _tmp5_;
		gint _entry_size = 0;
		GeeArrayList* _tmp6_;
		gint _tmp7_;
		gint _tmp8_;
		gint _entry_index = 0;
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp4_ = entries;
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp5_ = _g_object_ref0 (_tmp4_);
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_entry_list = _tmp5_;
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp6_ = _entry_list;
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp7_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp6_);
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp8_ = _tmp7_;
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_entry_size = _tmp8_;
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_entry_index = -1;
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		while (TRUE) {
#line 889 "FsTabEntry.c"
			gint _tmp9_;
			gint _tmp10_;
			gint _tmp11_;
			FsTabEntry* entry = NULL;
			GeeArrayList* _tmp12_;
			gint _tmp13_;
			gpointer _tmp14_;
			gboolean _tmp15_ = FALSE;
			FsTabEntry* _tmp16_;
			gboolean _tmp17_;
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp9_ = _entry_index;
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_entry_index = _tmp9_ + 1;
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp10_ = _entry_index;
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp11_ = _entry_size;
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			if (!(_tmp10_ < _tmp11_)) {
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				break;
#line 912 "FsTabEntry.c"
			}
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp12_ = _entry_list;
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp13_ = _entry_index;
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp14_ = gee_abstract_list_get ((GeeAbstractList*) _tmp12_, _tmp13_);
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			entry = (FsTabEntry*) _tmp14_;
#line 123 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp16_ = entry;
#line 123 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp17_ = _tmp16_->is_comment;
#line 123 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			if (_tmp17_) {
#line 123 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp15_ = TRUE;
#line 930 "FsTabEntry.c"
			} else {
				FsTabEntry* _tmp18_;
				gboolean _tmp19_;
#line 123 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp18_ = entry;
#line 123 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp19_ = _tmp18_->is_empty_line;
#line 123 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp15_ = _tmp19_;
#line 940 "FsTabEntry.c"
			}
#line 123 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			if (_tmp15_) {
#line 944 "FsTabEntry.c"
				gboolean _tmp20_;
#line 124 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp20_ = keep_comments_and_empty_lines;
#line 124 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				if (_tmp20_) {
#line 950 "FsTabEntry.c"
					const gchar* _tmp21_;
					FsTabEntry* _tmp22_;
					const gchar* _tmp23_;
					gchar* _tmp24_;
					gchar* _tmp25_;
					gchar* _tmp26_;
#line 125 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_tmp21_ = text;
#line 125 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_tmp22_ = entry;
#line 125 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_tmp23_ = _tmp22_->line;
#line 125 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_tmp24_ = g_strdup_printf ("%s\n", _tmp23_);
#line 125 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_tmp25_ = _tmp24_;
#line 125 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_tmp26_ = g_strconcat (_tmp21_, _tmp25_, NULL);
#line 125 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_g_free0 (text);
#line 125 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					text = _tmp26_;
#line 125 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_g_free0 (_tmp25_);
#line 975 "FsTabEntry.c"
				}
			} else {
				const gchar* _tmp27_;
				FsTabEntry* _tmp28_;
				const gchar* _tmp29_;
				FsTabEntry* _tmp30_;
				const gchar* _tmp31_;
				FsTabEntry* _tmp32_;
				const gchar* _tmp33_;
				FsTabEntry* _tmp34_;
				const gchar* _tmp35_;
				FsTabEntry* _tmp36_;
				const gchar* _tmp37_;
				FsTabEntry* _tmp38_;
				const gchar* _tmp39_;
				gchar* _tmp40_;
				gchar* _tmp41_;
				gchar* _tmp42_;
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp27_ = text;
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp28_ = entry;
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp29_ = _tmp28_->device_string;
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp30_ = entry;
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp31_ = _tmp30_->mount_point;
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp32_ = entry;
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp33_ = _tmp32_->type;
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp34_ = entry;
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp35_ = _tmp34_->options;
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp36_ = entry;
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp37_ = _tmp36_->dump;
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp38_ = entry;
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp39_ = _tmp38_->pass;
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp40_ = g_strdup_printf ("%s\t%s\t%s\t%s\t%s\t%s\n", _tmp29_, _tmp31_, _tmp33_, _tmp35_, _tmp37_, _tmp39_);
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp41_ = _tmp40_;
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp42_ = g_strconcat (_tmp27_, _tmp41_, NULL);
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_g_free0 (text);
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				text = _tmp42_;
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_g_free0 (_tmp41_);
#line 1032 "FsTabEntry.c"
			}
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_g_object_unref0 (entry);
#line 1036 "FsTabEntry.c"
		}
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_g_object_unref0 (_entry_list);
#line 1040 "FsTabEntry.c"
	}
#line 138 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp43_ = entries;
#line 138 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	gee_list_sort ((GeeList*) _tmp43_, ___lambda6__gcompare_data_func, NULL, NULL);
#line 142 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp44_ = file_path;
#line 142 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp45_ = tee_jee_file_system_file_exists (_tmp44_);
#line 142 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	if (_tmp45_) {
#line 1052 "FsTabEntry.c"
		const gchar* _tmp46_;
#line 143 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp46_ = file_path;
#line 143 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		tee_jee_file_system_file_delete (_tmp46_);
#line 1058 "FsTabEntry.c"
	}
#line 146 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp47_ = file_path;
#line 146 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp48_ = text;
#line 146 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	tee_jee_file_system_file_write (_tmp47_, _tmp48_);
#line 148 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	result = text;
#line 148 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	return result;
#line 1070 "FsTabEntry.c"
}


static gboolean string_contains (const gchar* self, const gchar* needle) {
	gboolean result = FALSE;
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 1403 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1403 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1404 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp0_ = needle;
#line 1404 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp1_ = strstr ((gchar*) self, (gchar*) _tmp0_);
#line 1404 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	result = _tmp1_ != NULL;
#line 1404 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	return result;
#line 1090 "FsTabEntry.c"
}


gchar* fs_tab_entry_subvolume_name (FsTabEntry* self) {
	gchar* result = NULL;
	const gchar* _tmp0_;
	gboolean _tmp1_;
#line 151 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 152 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp0_ = self->options;
#line 152 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp1_ = string_contains (_tmp0_, "subvol=");
#line 152 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	if (_tmp1_) {
#line 1106 "FsTabEntry.c"
		const gchar* _tmp2_;
		gchar** _tmp3_;
		gchar** _tmp4_;
		gchar** _tmp5_;
		gint _tmp5__length1;
		const gchar* _tmp6_;
		gchar** _tmp7_;
		gchar** _tmp8_;
		gchar** _tmp9_;
		gint _tmp9__length1;
		const gchar* _tmp10_;
		gchar* _tmp11_;
		gchar* _tmp12_;
#line 153 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp2_ = self->options;
#line 153 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp4_ = _tmp3_ = g_strsplit (_tmp2_, "subvol=", 0);
#line 153 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp5_ = _tmp4_;
#line 153 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp5__length1 = _vala_array_length (_tmp3_);
#line 153 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp6_ = _tmp5_[1];
#line 153 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp8_ = _tmp7_ = g_strsplit (_tmp6_, ",", 0);
#line 153 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp9_ = _tmp8_;
#line 153 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp9__length1 = _vala_array_length (_tmp7_);
#line 153 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp10_ = _tmp9_[0];
#line 153 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp11_ = string_strip (_tmp10_);
#line 153 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp12_ = _tmp11_;
#line 153 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp9_ = (_vala_array_free (_tmp9_, _tmp9__length1, (GDestroyNotify) g_free), NULL);
#line 153 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp5_ = (_vala_array_free (_tmp5_, _tmp5__length1, (GDestroyNotify) g_free), NULL);
#line 153 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		result = _tmp12_;
#line 153 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		return result;
#line 1150 "FsTabEntry.c"
	} else {
		gchar* _tmp13_;
#line 156 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp13_ = g_strdup ("");
#line 156 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		result = _tmp13_;
#line 156 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		return result;
#line 1159 "FsTabEntry.c"
	}
}


gboolean fs_tab_entry_is_for_system_directory (FsTabEntry* self) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_ = FALSE;
	gboolean _tmp6_ = FALSE;
	const gchar* _tmp7_;
	gboolean _tmp8_;
#line 160 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 162 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp7_ = self->mount_point;
#line 162 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp8_ = g_str_has_prefix (_tmp7_, "/mnt");
#line 162 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	if (_tmp8_) {
#line 162 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp6_ = TRUE;
#line 1185 "FsTabEntry.c"
	} else {
		const gchar* _tmp9_;
		gboolean _tmp10_;
#line 163 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp9_ = self->mount_point;
#line 163 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp10_ = g_str_has_prefix (_tmp9_, "/mount");
#line 163 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp6_ = _tmp10_;
#line 1195 "FsTabEntry.c"
	}
#line 162 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	if (_tmp6_) {
#line 162 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp5_ = TRUE;
#line 1201 "FsTabEntry.c"
	} else {
		const gchar* _tmp11_;
		gboolean _tmp12_;
#line 164 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp11_ = self->mount_point;
#line 164 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp12_ = g_str_has_prefix (_tmp11_, "/sdcard");
#line 164 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp5_ = _tmp12_;
#line 1211 "FsTabEntry.c"
	}
#line 162 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	if (_tmp5_) {
#line 162 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp4_ = TRUE;
#line 1217 "FsTabEntry.c"
	} else {
		const gchar* _tmp13_;
		gboolean _tmp14_;
#line 165 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp13_ = self->mount_point;
#line 165 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp14_ = g_str_has_prefix (_tmp13_, "/cdrom");
#line 165 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp4_ = _tmp14_;
#line 1227 "FsTabEntry.c"
	}
#line 162 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	if (_tmp4_) {
#line 162 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp3_ = TRUE;
#line 1233 "FsTabEntry.c"
	} else {
		const gchar* _tmp15_;
		gboolean _tmp16_;
#line 166 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp15_ = self->mount_point;
#line 166 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp16_ = g_str_has_prefix (_tmp15_, "/media");
#line 166 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp3_ = _tmp16_;
#line 1243 "FsTabEntry.c"
	}
#line 162 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	if (_tmp3_) {
#line 162 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp2_ = TRUE;
#line 1249 "FsTabEntry.c"
	} else {
		const gchar* _tmp17_;
#line 167 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp17_ = self->mount_point;
#line 167 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp2_ = g_strcmp0 (_tmp17_, "none") == 0;
#line 1256 "FsTabEntry.c"
	}
#line 162 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	if (_tmp2_) {
#line 162 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp1_ = TRUE;
#line 1262 "FsTabEntry.c"
	} else {
		const gchar* _tmp18_;
		gboolean _tmp19_;
#line 168 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp18_ = self->mount_point;
#line 168 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp19_ = g_str_has_prefix (_tmp18_, "/");
#line 168 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp1_ = !_tmp19_;
#line 1272 "FsTabEntry.c"
	}
#line 162 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	if (_tmp1_) {
#line 162 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp0_ = TRUE;
#line 1278 "FsTabEntry.c"
	} else {
		gboolean _tmp20_ = FALSE;
		const gchar* _tmp21_;
		gboolean _tmp22_;
#line 169 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp21_ = self->device_string;
#line 169 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp22_ = g_str_has_prefix (_tmp21_, "/dev/");
#line 169 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		if (!_tmp22_) {
#line 1289 "FsTabEntry.c"
			const gchar* _tmp23_;
			gchar* _tmp24_;
			gchar* _tmp25_;
			gboolean _tmp26_;
#line 169 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp23_ = self->device_string;
#line 169 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp24_ = g_utf8_strdown (_tmp23_, (gssize) -1);
#line 169 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp25_ = _tmp24_;
#line 169 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp26_ = g_str_has_prefix (_tmp25_, "uuid=");
#line 169 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp20_ = !_tmp26_;
#line 169 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_g_free0 (_tmp25_);
#line 1306 "FsTabEntry.c"
		} else {
#line 169 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp20_ = FALSE;
#line 1310 "FsTabEntry.c"
		}
#line 169 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp0_ = _tmp20_;
#line 1314 "FsTabEntry.c"
	}
#line 162 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	if (_tmp0_) {
#line 171 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		result = FALSE;
#line 171 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		return result;
#line 1322 "FsTabEntry.c"
	} else {
#line 174 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		result = TRUE;
#line 174 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		return result;
#line 1328 "FsTabEntry.c"
	}
}


FsTabEntry* fs_tab_entry_find_entry_by_mount_point (GeeArrayList* entries, const gchar* mount_path) {
	FsTabEntry* result = NULL;
#line 178 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (entries != NULL, NULL);
#line 178 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (mount_path != NULL, NULL);
#line 1339 "FsTabEntry.c"
	{
		GeeArrayList* _entry_list = NULL;
		GeeArrayList* _tmp0_;
		GeeArrayList* _tmp1_;
		gint _entry_size = 0;
		GeeArrayList* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
		gint _entry_index = 0;
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp0_ = entries;
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp1_ = _g_object_ref0 (_tmp0_);
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_entry_list = _tmp1_;
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp2_ = _entry_list;
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp3_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp2_);
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp4_ = _tmp3_;
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_entry_size = _tmp4_;
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_entry_index = -1;
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		while (TRUE) {
#line 1367 "FsTabEntry.c"
			gint _tmp5_;
			gint _tmp6_;
			gint _tmp7_;
			FsTabEntry* entry = NULL;
			GeeArrayList* _tmp8_;
			gint _tmp9_;
			gpointer _tmp10_;
			FsTabEntry* _tmp11_;
			const gchar* _tmp12_;
			const gchar* _tmp13_;
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp5_ = _entry_index;
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_entry_index = _tmp5_ + 1;
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp6_ = _entry_index;
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp7_ = _entry_size;
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			if (!(_tmp6_ < _tmp7_)) {
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				break;
#line 1390 "FsTabEntry.c"
			}
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp8_ = _entry_list;
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp9_ = _entry_index;
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp10_ = gee_abstract_list_get ((GeeAbstractList*) _tmp8_, _tmp9_);
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			entry = (FsTabEntry*) _tmp10_;
#line 182 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp11_ = entry;
#line 182 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp12_ = _tmp11_->mount_point;
#line 182 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp13_ = mount_path;
#line 182 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			if (g_strcmp0 (_tmp12_, _tmp13_) == 0) {
#line 183 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				result = entry;
#line 183 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_g_object_unref0 (_entry_list);
#line 183 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				return result;
#line 1414 "FsTabEntry.c"
			}
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_g_object_unref0 (entry);
#line 1418 "FsTabEntry.c"
		}
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_g_object_unref0 (_entry_list);
#line 1422 "FsTabEntry.c"
	}
#line 186 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	result = NULL;
#line 186 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	return result;
#line 1428 "FsTabEntry.c"
}


Device* fs_tab_entry_resolve_device (FsTabEntry* self, GeeArrayList* crypttab, GtkWindow* parent_window) {
	Device* result = NULL;
	Device* dev_fstab = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gint _tmp3_;
	gint _tmp4_;
	gboolean _tmp5_;
	Device* _tmp12_;
#line 189 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 189 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (crypttab != NULL, NULL);
#line 190 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	dev_fstab = NULL;
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp0_ = fs_tab_entry_get_device_uuid (self);
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp1_ = _tmp0_;
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp2_ = _tmp1_;
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp3_ = strlen (_tmp2_);
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp4_ = _tmp3_;
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp5_ = _tmp4_ > 0;
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_g_free0 (_tmp2_);
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	if (_tmp5_) {
#line 1464 "FsTabEntry.c"
		gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		Device* _tmp9_;
#line 192 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp6_ = fs_tab_entry_get_device_uuid (self);
#line 192 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp7_ = _tmp6_;
#line 192 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp8_ = _tmp7_;
#line 192 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp9_ = device_get_device_by_uuid (_tmp8_);
#line 192 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_g_object_unref0 (dev_fstab);
#line 192 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		dev_fstab = _tmp9_;
#line 192 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_g_free0 (_tmp8_);
#line 1483 "FsTabEntry.c"
	} else {
		const gchar* _tmp10_;
		Device* _tmp11_;
#line 195 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp10_ = self->device_string;
#line 195 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp11_ = device_get_device_by_name (_tmp10_);
#line 195 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_g_object_unref0 (dev_fstab);
#line 195 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		dev_fstab = _tmp11_;
#line 1495 "FsTabEntry.c"
	}
#line 198 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp12_ = dev_fstab;
#line 198 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	if (_tmp12_ == NULL) {
#line 1501 "FsTabEntry.c"
		const gchar* _tmp13_;
		gboolean _tmp14_;
#line 210 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp13_ = self->device_string;
#line 210 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp14_ = g_str_has_prefix (_tmp13_, "/dev/mapper/");
#line 210 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		if (_tmp14_) {
#line 1510 "FsTabEntry.c"
			gchar* mapped_name = NULL;
			const gchar* _tmp15_;
			gchar* _tmp16_;
#line 212 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp15_ = self->device_string;
#line 212 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_tmp16_ = string_replace (_tmp15_, "/dev/mapper/", "");
#line 212 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			mapped_name = _tmp16_;
#line 1520 "FsTabEntry.c"
			{
				GeeArrayList* _item_list = NULL;
				GeeArrayList* _tmp17_;
				GeeArrayList* _tmp18_;
				gint _item_size = 0;
				GeeArrayList* _tmp19_;
				gint _tmp20_;
				gint _tmp21_;
				gint _item_index = 0;
#line 214 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp17_ = crypttab;
#line 214 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp18_ = _g_object_ref0 (_tmp17_);
#line 214 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_item_list = _tmp18_;
#line 214 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp19_ = _item_list;
#line 214 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp20_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp19_);
#line 214 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_tmp21_ = _tmp20_;
#line 214 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_item_size = _tmp21_;
#line 214 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_item_index = -1;
#line 214 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				while (TRUE) {
#line 1548 "FsTabEntry.c"
					gint _tmp22_;
					gint _tmp23_;
					gint _tmp24_;
					CryptTabEntry* item = NULL;
					GeeArrayList* _tmp25_;
					gint _tmp26_;
					gpointer _tmp27_;
					CryptTabEntry* _tmp28_;
					const gchar* _tmp29_;
					const gchar* _tmp30_;
#line 214 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_tmp22_ = _item_index;
#line 214 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_item_index = _tmp22_ + 1;
#line 214 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_tmp23_ = _item_index;
#line 214 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_tmp24_ = _item_size;
#line 214 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					if (!(_tmp23_ < _tmp24_)) {
#line 214 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						break;
#line 1571 "FsTabEntry.c"
					}
#line 214 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_tmp25_ = _item_list;
#line 214 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_tmp26_ = _item_index;
#line 214 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_tmp27_ = gee_abstract_list_get ((GeeAbstractList*) _tmp25_, _tmp26_);
#line 214 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					item = (CryptTabEntry*) _tmp27_;
#line 216 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_tmp28_ = item;
#line 216 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_tmp29_ = _tmp28_->mapped_name;
#line 216 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_tmp30_ = mapped_name;
#line 216 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					if (g_strcmp0 (_tmp29_, _tmp30_) == 0) {
#line 1589 "FsTabEntry.c"
						CryptTabEntry* _tmp31_;
						const gchar* _tmp32_;
						gchar* _tmp33_;
						gchar* _tmp34_;
						gchar* _tmp35_;
						gchar* _tmp36_;
						gint _tmp37_;
						gint _tmp38_;
						gboolean _tmp39_;
#line 219 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_tmp31_ = item;
#line 219 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_tmp32_ = _tmp31_->device_string;
#line 219 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_tmp33_ = g_strdup (_tmp32_);
#line 219 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_g_free0 (self->device_string);
#line 219 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						self->device_string = _tmp33_;
#line 221 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_tmp34_ = fs_tab_entry_get_device_uuid (self);
#line 221 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_tmp35_ = _tmp34_;
#line 221 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_tmp36_ = _tmp35_;
#line 221 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_tmp37_ = strlen (_tmp36_);
#line 221 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_tmp38_ = _tmp37_;
#line 221 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_tmp39_ = _tmp38_ > 0;
#line 221 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_g_free0 (_tmp36_);
#line 221 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						if (_tmp39_) {
#line 1625 "FsTabEntry.c"
							Device* dev_luks = NULL;
							gchar* _tmp40_;
							gchar* _tmp41_;
							gchar* _tmp42_;
							Device* _tmp43_;
							Device* _tmp44_;
							Device* _tmp45_;
#line 224 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
							_tmp40_ = fs_tab_entry_get_device_uuid (self);
#line 224 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
							_tmp41_ = _tmp40_;
#line 224 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
							_tmp42_ = _tmp41_;
#line 224 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
							_tmp43_ = device_get_device_by_uuid (_tmp42_);
#line 224 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
							_tmp44_ = _tmp43_;
#line 224 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
							_g_free0 (_tmp42_);
#line 224 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
							dev_luks = _tmp44_;
#line 226 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
							_tmp45_ = dev_luks;
#line 226 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
							if (_tmp45_ != NULL) {
#line 1651 "FsTabEntry.c"
								gchar* msg_out = NULL;
								gchar* msg_err = NULL;
								Device* dev_unlocked = NULL;
								Device* _tmp46_;
								GtkWindow* _tmp47_;
								gchar* _tmp48_ = NULL;
								gchar* _tmp49_ = NULL;
								Device* _tmp50_;
								Device* _tmp51_;
#line 229 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
								_tmp46_ = dev_luks;
#line 229 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
								_tmp47_ = parent_window;
#line 229 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
								_tmp50_ = device_luks_unlock (_tmp46_, "", "", _tmp47_, &_tmp48_, &_tmp49_);
#line 229 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
								_g_free0 (msg_out);
#line 229 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
								msg_out = _tmp48_;
#line 229 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
								_g_free0 (msg_err);
#line 229 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
								msg_err = _tmp49_;
#line 229 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
								dev_unlocked = _tmp50_;
#line 232 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
								_tmp51_ = dev_unlocked;
#line 232 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
								if (_tmp51_ != NULL) {
#line 1681 "FsTabEntry.c"
									Device* _tmp52_;
									Device* _tmp53_;
#line 233 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
									_tmp52_ = dev_unlocked;
#line 233 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
									_tmp53_ = _g_object_ref0 (_tmp52_);
#line 233 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
									_g_object_unref0 (dev_fstab);
#line 233 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
									dev_fstab = _tmp53_;
#line 1692 "FsTabEntry.c"
								} else {
									Device* _tmp54_;
									Device* _tmp55_;
#line 236 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
									_tmp54_ = dev_luks;
#line 236 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
									_tmp55_ = _g_object_ref0 (_tmp54_);
#line 236 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
									_g_object_unref0 (dev_fstab);
#line 236 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
									dev_fstab = _tmp55_;
#line 1704 "FsTabEntry.c"
								}
#line 226 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
								_g_object_unref0 (dev_unlocked);
#line 226 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
								_g_free0 (msg_err);
#line 226 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
								_g_free0 (msg_out);
#line 1712 "FsTabEntry.c"
							}
#line 221 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
							_g_object_unref0 (dev_luks);
#line 1716 "FsTabEntry.c"
						} else {
						}
#line 244 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						_g_object_unref0 (item);
#line 244 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
						break;
#line 1723 "FsTabEntry.c"
					}
#line 214 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
					_g_object_unref0 (item);
#line 1727 "FsTabEntry.c"
				}
#line 214 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
				_g_object_unref0 (_item_list);
#line 1731 "FsTabEntry.c"
			}
#line 210 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
			_g_free0 (mapped_name);
#line 1735 "FsTabEntry.c"
		}
	}
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	result = dev_fstab;
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	return result;
#line 1742 "FsTabEntry.c"
}


static gchar* string_slice (const gchar* self, glong start, glong end) {
	gchar* result = NULL;
	glong string_length = 0L;
	gint _tmp0_;
	gint _tmp1_;
	glong _tmp2_;
	glong _tmp5_;
	gboolean _tmp8_ = FALSE;
	glong _tmp9_;
	gboolean _tmp12_ = FALSE;
	glong _tmp13_;
	glong _tmp16_;
	glong _tmp17_;
	glong _tmp18_;
	glong _tmp19_;
	glong _tmp20_;
	gchar* _tmp21_;
#line 1355 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1356 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp0_ = strlen (self);
#line 1356 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp1_ = _tmp0_;
#line 1356 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	string_length = (glong) _tmp1_;
#line 1357 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp2_ = start;
#line 1357 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if (_tmp2_ < ((glong) 0)) {
#line 1775 "FsTabEntry.c"
		glong _tmp3_;
		glong _tmp4_;
#line 1358 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp3_ = string_length;
#line 1358 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp4_ = start;
#line 1358 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		start = _tmp3_ + _tmp4_;
#line 1784 "FsTabEntry.c"
	}
#line 1360 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp5_ = end;
#line 1360 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if (_tmp5_ < ((glong) 0)) {
#line 1790 "FsTabEntry.c"
		glong _tmp6_;
		glong _tmp7_;
#line 1361 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp6_ = string_length;
#line 1361 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp7_ = end;
#line 1361 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		end = _tmp6_ + _tmp7_;
#line 1799 "FsTabEntry.c"
	}
#line 1363 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp9_ = start;
#line 1363 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if (_tmp9_ >= ((glong) 0)) {
#line 1805 "FsTabEntry.c"
		glong _tmp10_;
		glong _tmp11_;
#line 1363 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp10_ = start;
#line 1363 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp11_ = string_length;
#line 1363 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp8_ = _tmp10_ <= _tmp11_;
#line 1814 "FsTabEntry.c"
	} else {
#line 1363 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp8_ = FALSE;
#line 1818 "FsTabEntry.c"
	}
#line 1363 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (_tmp8_, NULL);
#line 1364 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp13_ = end;
#line 1364 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if (_tmp13_ >= ((glong) 0)) {
#line 1826 "FsTabEntry.c"
		glong _tmp14_;
		glong _tmp15_;
#line 1364 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp14_ = end;
#line 1364 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp15_ = string_length;
#line 1364 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp12_ = _tmp14_ <= _tmp15_;
#line 1835 "FsTabEntry.c"
	} else {
#line 1364 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp12_ = FALSE;
#line 1839 "FsTabEntry.c"
	}
#line 1364 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (_tmp12_, NULL);
#line 1365 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp16_ = start;
#line 1365 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp17_ = end;
#line 1365 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (_tmp16_ <= _tmp17_, NULL);
#line 1366 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp18_ = start;
#line 1366 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp19_ = end;
#line 1366 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp20_ = start;
#line 1366 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp21_ = g_strndup (((gchar*) self) + _tmp18_, (gsize) (_tmp19_ - _tmp20_));
#line 1366 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	result = _tmp21_;
#line 1366 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	return result;
#line 1861 "FsTabEntry.c"
}


void fs_tab_entry_append_option (FsTabEntry* self, const gchar* option) {
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	gboolean _tmp2_;
	const gchar* _tmp8_;
	gboolean _tmp9_;
	const gchar* _tmp15_;
	gchar* _tmp16_;
#line 254 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	g_return_if_fail (self != NULL);
#line 254 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	g_return_if_fail (option != NULL);
#line 256 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp0_ = self->options;
#line 256 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp1_ = option;
#line 256 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp2_ = string_contains (_tmp0_, _tmp1_);
#line 256 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	if (!_tmp2_) {
#line 1885 "FsTabEntry.c"
		const gchar* _tmp3_;
		const gchar* _tmp4_;
		gchar* _tmp5_;
		gchar* _tmp6_;
		gchar* _tmp7_;
#line 257 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp3_ = self->options;
#line 257 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp4_ = option;
#line 257 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp5_ = g_strdup_printf (",%s", _tmp4_);
#line 257 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp6_ = _tmp5_;
#line 257 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp7_ = g_strconcat (_tmp3_, _tmp6_, NULL);
#line 257 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_g_free0 (self->options);
#line 257 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		self->options = _tmp7_;
#line 257 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_g_free0 (_tmp6_);
#line 1907 "FsTabEntry.c"
	}
#line 260 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp8_ = self->options;
#line 260 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp9_ = g_str_has_prefix (_tmp8_, ",");
#line 260 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	if (_tmp9_) {
#line 1915 "FsTabEntry.c"
		const gchar* _tmp10_;
		const gchar* _tmp11_;
		gint _tmp12_;
		gint _tmp13_;
		gchar* _tmp14_;
#line 261 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp10_ = self->options;
#line 261 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp11_ = self->options;
#line 261 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp12_ = strlen (_tmp11_);
#line 261 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp13_ = _tmp12_;
#line 261 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp14_ = string_slice (_tmp10_, (glong) 1, (glong) _tmp13_);
#line 261 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_g_free0 (self->options);
#line 261 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		self->options = _tmp14_;
#line 1935 "FsTabEntry.c"
	}
#line 264 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp15_ = self->options;
#line 264 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp16_ = string_strip (_tmp15_);
#line 264 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_g_free0 (self->options);
#line 264 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	self->options = _tmp16_;
#line 1945 "FsTabEntry.c"
}


void fs_tab_entry_remove_option (FsTabEntry* self, const gchar* option) {
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	const gchar* _tmp5_;
	gboolean _tmp6_;
	const gchar* _tmp12_;
	gboolean _tmp13_;
	const gchar* _tmp19_;
	gchar* _tmp20_;
#line 267 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	g_return_if_fail (self != NULL);
#line 267 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	g_return_if_fail (option != NULL);
#line 269 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp0_ = self->options;
#line 269 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp1_ = option;
#line 269 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp2_ = string_replace (_tmp0_, _tmp1_, "");
#line 269 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp3_ = _tmp2_;
#line 269 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp4_ = string_strip (_tmp3_);
#line 269 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_g_free0 (self->options);
#line 269 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	self->options = _tmp4_;
#line 269 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_g_free0 (_tmp3_);
#line 271 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp5_ = self->options;
#line 271 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp6_ = g_str_has_prefix (_tmp5_, ",");
#line 271 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	if (_tmp6_) {
#line 1987 "FsTabEntry.c"
		const gchar* _tmp7_;
		const gchar* _tmp8_;
		gint _tmp9_;
		gint _tmp10_;
		gchar* _tmp11_;
#line 272 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp7_ = self->options;
#line 272 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp8_ = self->options;
#line 272 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp9_ = strlen (_tmp8_);
#line 272 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp10_ = _tmp9_;
#line 272 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp11_ = string_slice (_tmp7_, (glong) 1, (glong) _tmp10_);
#line 272 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_g_free0 (self->options);
#line 272 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		self->options = _tmp11_;
#line 2007 "FsTabEntry.c"
	}
#line 275 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp12_ = self->options;
#line 275 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp13_ = g_str_has_suffix (_tmp12_, ",");
#line 275 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	if (_tmp13_) {
#line 2015 "FsTabEntry.c"
		const gchar* _tmp14_;
		const gchar* _tmp15_;
		gint _tmp16_;
		gint _tmp17_;
		gchar* _tmp18_;
#line 276 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp14_ = self->options;
#line 276 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp15_ = self->options;
#line 276 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp16_ = strlen (_tmp15_);
#line 276 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp17_ = _tmp16_;
#line 276 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp18_ = string_slice (_tmp14_, (glong) 0, (glong) (_tmp17_ - 1));
#line 276 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_g_free0 (self->options);
#line 276 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		self->options = _tmp18_;
#line 2035 "FsTabEntry.c"
	}
#line 279 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp19_ = self->options;
#line 279 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp20_ = string_strip (_tmp19_);
#line 279 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_g_free0 (self->options);
#line 279 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	self->options = _tmp20_;
#line 2045 "FsTabEntry.c"
}


FsTabEntry* fs_tab_entry_construct (GType object_type) {
	FsTabEntry * self = NULL;
#line 32 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	self = (FsTabEntry*) g_object_new (object_type, NULL);
#line 32 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	return self;
#line 2055 "FsTabEntry.c"
}


FsTabEntry* fs_tab_entry_new (void) {
#line 32 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	return fs_tab_entry_construct (TYPE_FS_TAB_ENTRY);
#line 2062 "FsTabEntry.c"
}


gchar* fs_tab_entry_get_device_uuid (FsTabEntry* self) {
	gchar* result;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gboolean _tmp3_;
	gboolean _tmp4_;
#line 45 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 46 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp0_ = self->device_string;
#line 46 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp1_ = g_utf8_strdown (_tmp0_, (gssize) -1);
#line 46 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp2_ = _tmp1_;
#line 46 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp3_ = g_str_has_prefix (_tmp2_, "uuid=");
#line 46 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp4_ = _tmp3_;
#line 46 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_g_free0 (_tmp2_);
#line 46 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	if (_tmp4_) {
#line 2089 "FsTabEntry.c"
		const gchar* _tmp5_;
		gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
		gchar** _tmp10_;
		gchar** _tmp11_;
		gchar** _tmp12_;
		gint _tmp12__length1;
		const gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
#line 47 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp5_ = self->device_string;
#line 47 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp6_ = string_replace (_tmp5_, "\"", "");
#line 47 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp7_ = _tmp6_;
#line 47 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp8_ = string_replace (_tmp7_, "'", "");
#line 47 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp9_ = _tmp8_;
#line 47 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp11_ = _tmp10_ = g_strsplit (_tmp9_, "=", 0);
#line 47 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp12_ = _tmp11_;
#line 47 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp12__length1 = _vala_array_length (_tmp10_);
#line 47 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp13_ = _tmp12_[1];
#line 47 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp14_ = g_strdup (_tmp13_);
#line 47 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp15_ = _tmp14_;
#line 47 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp12_ = (_vala_array_free (_tmp12_, _tmp12__length1, (GDestroyNotify) g_free), NULL);
#line 47 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_g_free0 (_tmp9_);
#line 47 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_g_free0 (_tmp7_);
#line 47 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		result = _tmp15_;
#line 47 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		return result;
#line 2134 "FsTabEntry.c"
	} else {
		gchar* _tmp16_;
#line 50 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		_tmp16_ = g_strdup ("");
#line 50 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		result = _tmp16_;
#line 50 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		return result;
#line 2143 "FsTabEntry.c"
	}
}


void fs_tab_entry_set_device_uuid (FsTabEntry* self, const gchar* value) {
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 53 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	g_return_if_fail (self != NULL);
#line 54 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp0_ = value;
#line 54 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp1_ = g_strdup_printf ("UUID=%s", _tmp0_);
#line 54 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_g_free0 (self->device_string);
#line 54 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	self->device_string = _tmp1_;
#line 53 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	g_object_notify ((GObject *) self, "device-uuid");
#line 2163 "FsTabEntry.c"
}


static void fs_tab_entry_class_init (FsTabEntryClass * klass) {
#line 32 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	fs_tab_entry_parent_class = g_type_class_peek_parent (klass);
#line 32 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_fs_tab_entry_get_property;
#line 32 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_fs_tab_entry_set_property;
#line 32 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	G_OBJECT_CLASS (klass)->finalize = fs_tab_entry_finalize;
#line 32 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), FS_TAB_ENTRY_DEVICE_UUID_PROPERTY, g_param_spec_string ("device-uuid", "device-uuid", "device-uuid", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 2178 "FsTabEntry.c"
}


static void fs_tab_entry_instance_init (FsTabEntry * self) {
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
#line 33 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	self->is_comment = FALSE;
#line 34 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	self->is_empty_line = FALSE;
#line 36 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp0_ = g_strdup ("");
#line 36 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	self->device_string = _tmp0_;
#line 37 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp1_ = g_strdup ("");
#line 37 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	self->mount_point = _tmp1_;
#line 38 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp2_ = g_strdup ("");
#line 38 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	self->type = _tmp2_;
#line 39 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp3_ = g_strdup ("defaults");
#line 39 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	self->options = _tmp3_;
#line 40 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp4_ = g_strdup ("0");
#line 40 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	self->dump = _tmp4_;
#line 41 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp5_ = g_strdup ("0");
#line 41 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	self->pass = _tmp5_;
#line 42 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_tmp6_ = g_strdup ("");
#line 42 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	self->line = _tmp6_;
#line 2222 "FsTabEntry.c"
}


static void fs_tab_entry_finalize (GObject * obj) {
	FsTabEntry * self;
#line 32 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_FS_TAB_ENTRY, FsTabEntry);
#line 36 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_g_free0 (self->device_string);
#line 37 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_g_free0 (self->mount_point);
#line 38 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_g_free0 (self->type);
#line 39 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_g_free0 (self->options);
#line 40 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_g_free0 (self->dump);
#line 41 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_g_free0 (self->pass);
#line 42 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	_g_free0 (self->line);
#line 32 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	G_OBJECT_CLASS (fs_tab_entry_parent_class)->finalize (obj);
#line 2246 "FsTabEntry.c"
}


GType fs_tab_entry_get_type (void) {
	static volatile gsize fs_tab_entry_type_id__volatile = 0;
	if (g_once_init_enter (&fs_tab_entry_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (FsTabEntryClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) fs_tab_entry_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (FsTabEntry), 0, (GInstanceInitFunc) fs_tab_entry_instance_init, NULL };
		GType fs_tab_entry_type_id;
		fs_tab_entry_type_id = g_type_register_static (G_TYPE_OBJECT, "FsTabEntry", &g_define_type_info, 0);
		g_once_init_leave (&fs_tab_entry_type_id__volatile, fs_tab_entry_type_id);
	}
	return fs_tab_entry_type_id__volatile;
}


static void _vala_fs_tab_entry_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	FsTabEntry * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_FS_TAB_ENTRY, FsTabEntry);
#line 32 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	switch (property_id) {
#line 32 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		case FS_TAB_ENTRY_DEVICE_UUID_PROPERTY:
#line 32 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		g_value_take_string (value, fs_tab_entry_get_device_uuid (self));
#line 32 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		break;
#line 2273 "FsTabEntry.c"
		default:
#line 32 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 32 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		break;
#line 2279 "FsTabEntry.c"
	}
}


static void _vala_fs_tab_entry_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	FsTabEntry * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_FS_TAB_ENTRY, FsTabEntry);
#line 32 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
	switch (property_id) {
#line 32 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		case FS_TAB_ENTRY_DEVICE_UUID_PROPERTY:
#line 32 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		fs_tab_entry_set_device_uuid (self, g_value_get_string (value));
#line 32 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		break;
#line 2295 "FsTabEntry.c"
		default:
#line 32 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 32 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/FsTabEntry.vala"
		break;
#line 2301 "FsTabEntry.c"
	}
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



